package com.jiayue.ipp.idp.controller.an;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jiayue.ipp.common.data.entity.an.ParsingNbqInfo;
import com.jiayue.ipp.idp.service.an.ParsingNbqInfoService;
import com.jiayue.ipp.idp.util.R;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequiredArgsConstructor
@RequestMapping("/parsingNbqController")
public class ParsingNbqController {
    @Autowired
    ParsingNbqInfoService parsingNbqInfoService;

    @ApiOperation(value = "添加Nbq配置", notes = "添加Nbq配置")
    @PostMapping()
    public R add(@RequestBody ParsingNbqInfo parsingNbqInfo) {
        if (parsingNbqInfoService.save(parsingNbqInfo)) {
            return R.ok("添加成功！");
        } else {
            return R.failed("添加失败！");
        }
    }

    @ApiOperation(value = "修改Nbq配置", notes = "修改Nbq配置")
    @PutMapping()
    public R update(@RequestBody ParsingNbqInfo parsingNbqInfo) {
        if (parsingNbqInfoService.updateById(parsingNbqInfo)) {
            return R.ok("修改成功！");
        } else {
            return R.failed("修改失败！");
        }
    }

    @ApiOperation(value = "根据id删除Nbq配置", notes = "根据id删除Nbq配置")
    @DeleteMapping("/{id}")
    public R delete(@PathVariable String id) {
        if (parsingNbqInfoService.removeById(id)) {
            return R.ok("删除成功！");
        } else {
            return R.failed("删除失败！");
        }
    }

    @ApiOperation(value = "分页查询Nbq配置", notes = "分页查询Nbq配置")
    @GetMapping("/page")
    public R page(ParsingNbqInfo parsingNbqInfo, Page page) {
        return R.ok(parsingNbqInfoService.page(page, Wrappers.query(parsingNbqInfo)));
    }
}
